import http from '@/request/http.js'

export default {
    // 获取学校文件夹和个人文件夹List
    GetFolderList () {
        return http.get('/api/Education/SchoolResource/MyResource/GetFolderList')
    },
    // 获取我的收藏分享列表
    GetCollectShareList (params) {
        return http.post('/api/Education/SchoolResource/MyResource/GetCollectShareList', params)
    },
    // 获取文档列表
    GetFileList (params) {
        return http.post('/api/Education/SchoolResource/GetFileList', params)
    },
    // 文件分享
    fileShare (params) {
        return http.post('/api/Education/SchoolResource/MyResource/FileShare', params)
    },
    // 删除文件
    deleteFile (params) {
        return http.get('/api/Education/SchoolResource/FileInfo/DeleteFile', { params: params })
    },
    // 修改文件名称
    updateFileName (params) {
        return http.get('/api/Education/SchoolResource/FileInfo/UpdateFileName', { params: params })
    },
    // 获取学校文件夹List
    GetSchoolFolderList () {
        return http.get('/api/Education/SchoolResource/SchoolFolderInfo/GetSchoolFolderList')
    },
    // 获取学校文件夹对象
    getSchoolFolderInfo (params) {
        return http.get('/api/Education/SchoolResource/SchoolFolderInfo/Get', { params: params })
    },
    // 根据文件ID获取分享信息
    GetFileShareInfoByFileId (params) {
        return http.get('/api/Education/SchoolResource/MyResource/GetFileShareInfoByFileId', { params: params })
    }
}
